Package org.apache.sysds.runtime.iogen

## Class GenerateReader.GenerateReaderFrame

- java.lang.Object
- - org.apache.sysds.runtime.iogen.GenerateReader
  - - org.apache.sysds.runtime.iogen.GenerateReader.GenerateReaderFrame

Enclosing class:
  GenerateReader

    public static class GenerateReader.GenerateReaderFrame
    extends GenerateReader

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.iogen.GenerateReader

`GenerateReader.GenerateReaderFrame, GenerateReader.GenerateReaderMatrix`

### Constructor Summary

Constructors
`GenerateReaderFrame​(String sampleRaw, FrameBlock sampleFrame)`
`GenerateReaderFrame​(SampleProperties sampleProperties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FrameReader` `getReader()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenerateReaderFrame

    public GenerateReaderFrame​(SampleProperties sampleProperties)
                        throws Exception

Throws:
  `Exception`

#### GenerateReaderFrame

    public GenerateReaderFrame​(String sampleRaw,
                               FrameBlock sampleFrame)
                        throws Exception

Throws:
  `Exception`

### Method Detail

#### getReader

    public FrameReader getReader()
                          throws Exception

Throws:
  `Exception`